%define upstream_name    XML-Compile-Tester
%define upstream_version 0.90

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Support XML::Compile related regression testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report) >= 0.170.0
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildArch:  noarch

%description
The XML::Compile module suite has extensive regression testing. Probably,
you want to do regression testing as well. This module provide functions
which simplify writing tests for XML::Compile related distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.900.0-3.mga4
+ Revision: 516087
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-2.mga3
+ Revision: 374963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 16 2012 shlomif <shlomif> 0.900.0-1.mga3
+ Revision: 281559
- update to 0.90

* Mon Aug 06 2012 shlomif <shlomif> 0.60.0-1.mga3
+ Revision: 279248
- imported package perl-XML-Compile-Tester


* Mon Aug 06 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
